Bug 620738 - Review Request: snoopy - A preload library to send shell commands to syslog
Summary: Review Request: snoopy - A preload library to send shell commands to syslog
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-03 11:31 UTC by Steve Traylen
Modified: 2015-06-22 00:07 UTC (History)
4 users (show)

Fixed In Version: snoopy-1.7.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 01:16:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2010-08-03 11:31:15 UTC
Spec URL: http://scern.ch/straylen/rpms/snoopy/snoopy.spec
SRPM URL: http://cern.ch/straylen/rpms/snoopy/snoopy-1.6.1-1.el5.src.rpm
Description: 
Snoopy is designed to aid a sysadmin by providing a log of commands
executed. Snoopy is completely transparent to the user and applications.
It is linked into programs to provide a wrapper around calls to execve().
Logging is done via syslog.

Comment 1 Steve Traylen 2010-08-03 11:33:05 UTC
Correction:

Spec URL: http://cern.ch/straylen/rpms/snoopy/snoopy.spec

Comment 2 Darryl L. Pierce 2010-08-03 19:32:18 UTC
MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

(mcpierce@mcpierce-laptop:temp)$ rpmlint ~/Packaging/rpms/SRPMS/snoopy-1.6.1-1.fc13.src.rpm ~/Packaging/rpms/RPMS/x86_64/snoopy-*
snoopy.src: W: spelling-error Summary(en_US) preload -> reload, p reload, prelude
snoopy.src: W: spelling-error Summary(en_US) syslog -> dyslogia, systole, slogan
snoopy.src: W: spelling-error %description -l en_US execve -> executive, execked, execute
snoopy.src: W: spelling-error %description -l en_US syslog -> dyslogia, systole, slogan
snoopy.x86_64: W: spelling-error Summary(en_US) preload -> reload, p reload, prelude
snoopy.x86_64: W: spelling-error Summary(en_US) syslog -> dyslogia, systole, slogan
snoopy.x86_64: W: spelling-error %description -l en_US execve -> executive, execked, execute
snoopy.x86_64: W: spelling-error %description -l en_US syslog -> dyslogia, systole, slogan
snoopy.x86_64: W: no-soname /usr/lib64/snoopy.so
3 packages and 0 specfiles checked; 0 errors, 9 warnings.

MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. [10]

Not done. And there is no %postun section.

Please address this last piece.

Comment 3 Steve Traylen 2010-08-03 19:43:51 UTC
(In reply to comment #2)
> MUST: Every binary RPM package (or subpackage) which stores shared library
> files (not just symlinks) in any of the dynamic linker's default paths, must
> call ldconfig in %post and %postun. [10]
> 
> Not done. And there is no %postun section.
> 
> Please address this last piece.   

Yes of course:


Spec URL: http://scern.ch/straylen/rpms/snoopy/snoopy.spec
SRPM URL: http://cern.ch/straylen/rpms/snoopy/snoopy-1.6.1-2.el5.src.rpm

Comment 4 Darryl L. Pierce 2010-08-04 12:24:48 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > MUST: Every binary RPM package (or subpackage) which stores shared library
> > files (not just symlinks) in any of the dynamic linker's default paths, must
> > call ldconfig in %post and %postun. [10]
> > 
> > Not done. And there is no %postun section.
> > 
> > Please address this last piece.   
> 
> Yes of course:
> 
> 
> Spec URL: http://scern.ch/straylen/rpms/snoopy/snoopy.spec
> SRPM URL: http://cern.ch/straylen/rpms/snoopy/snoopy-1.6.1-2.el5.src.rpm    

Final changes:

1. Please remove the code to add and remove entries to /etc/ld.so.preload. On Fedora installing a package should not change default behavior like this. Instead, provide instructions to the admin for how to preload the library.

2. Both %post and %postun need to call ldconfig. Please see:

http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

With those changes, I'll approve this package.

Comment 5 Steve Traylen 2010-08-04 13:03:59 UTC
(In reply to comment #4)

> Final changes:
> 
> 1. Please remove the code to add and remove entries to /etc/ld.so.preload. On
> Fedora installing a package should not change default behavior like this.
> Instead, provide instructions to the admin for how to preload the library.

That's done, have added a README.Fedora instead.

> 
> 2. Both %post and %postun need to call ldconfig. Please see:
>
> http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries
>

They did already but do now as well.


Spec URL: http://cern.ch/straylen/rpms/snoopy/snoopy.spec
SRPM URL: http://cern.ch/straylen/rpms/snoopy/snoopy-1.6.1-3.el5.src.rpm    


> With those changes, I'll approve this package.    

I'll take another look at yours.

Steve.

Comment 6 Steve Traylen 2010-08-04 14:35:22 UTC
New Package SCM Request
=======================
Package Name: snoopy
Short Description: A preload library to send shell commands to syslog
Owners: stevetraylen
Branches: f13 f14 el4 el5 el6

Comment 7 Steve Traylen 2010-08-04 14:47:03 UTC
Hi Darryl,

Thanks for the review.

Thinking about this package, I think that given this is override
via preload to glibc which is of course in /lib64 then I think
this preload should also be in /lib64 rather than /usr/lib64.

Not a good change to make immediately after review hence this comment
in case you have any comment.

Comment 8 Darryl L. Pierce 2010-08-04 15:07:55 UTC
If the change is solely in where the library is installed, then I'm okay with it.

Comment 9 Kevin Fenzi 2010-08-05 17:09:57 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2010-08-05 18:33:14 UTC
snoopy-1.7.1-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.el4

Comment 11 Fedora Update System 2010-08-05 18:33:22 UTC
snoopy-1.7.1-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.fc13

Comment 12 Fedora Update System 2010-08-05 18:33:29 UTC
snoopy-1.7.1-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.el5

Comment 13 Fedora Update System 2010-08-05 18:33:34 UTC
snoopy-1.7.1-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.fc14

Comment 14 Fedora Update System 2010-08-05 23:33:13 UTC
snoopy-1.7.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update snoopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.fc13

Comment 15 Fedora Update System 2010-08-06 19:55:31 UTC
snoopy-1.7.1-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update snoopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.el4

Comment 16 Fedora Update System 2010-08-06 19:57:02 UTC
snoopy-1.7.1-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update snoopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.el5

Comment 17 Fedora Update System 2010-08-10 01:31:40 UTC
snoopy-1.7.1-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update snoopy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/snoopy-1.7.1-2.fc14

Comment 18 Fedora Update System 2010-08-19 01:16:11 UTC
snoopy-1.7.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-08-23 16:44:05 UTC
snoopy-1.7.1-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-08-23 16:44:28 UTC
snoopy-1.7.1-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2010-08-23 22:03:48 UTC
snoopy-1.7.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.